interface IConfig {
    name?: string;
    message: string;
    code?: number;
    info?: object;
    internalError?: Error;
}
export declare class BaseError extends Error {
    protected constructor(config: IConfig, self: Function);
    name: string;
    code: number;
    info: object;
    internalError: Error;
    protected toJSON(): {
        name: string;
        message: string;
        code: number;
        info: string;
        internalError: Error;
        stack: string;
    };
}
export {};
